summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/lib/ldb/autogen.sh')
-rwxr-xr-xsource4/lib/ldb/autogen.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/source4/lib/ldb/autogen.sh b/source4/lib/ldb/autogen.sh
new file mode 100755
index 0000000000..b81e5b094e
--- /dev/null
+++ b/source4/lib/ldb/autogen.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+rm -rf autom4te.cache
+rm -f configure config.h.in
+
+IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace"
+IPATHS="$IPATHS -I lib/events -I events -I ../events"
+IPATHS="$IPATHS -I lib/talloc -I talloc -I ../talloc"
+IPATHS="$IPATHS -I lib/tdb -I tdb -I ../tdb"
+IPATHS="$IPATHS -I lib/popt -I popt -I ../popt"
+
+# Always keep this listed last, so the built-in versions of tdb and talloc
+# get used if available.
+IPATHS="$IPATHS -I ./external"
+
+autoheader $IPATHS || exit 1
+autoconf $IPATHS || exit 1
+
+rm -rf autom4te.cache
+
+swig -O -Wall -python -keyword ldb.i # Ignore errors, for now
+
+echo "Now run ./configure and then make."
+exit 0
+